<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myPersonaLabel">Create or edit a Persona</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!persona.id">
            <label for="id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="persona.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_firstname">Firstname</label>
            <input type="text" class="form-control" name="firstname" id="field_firstname"
                [(ngModel)]="persona.firstname" minlength="1"/>
            <div [hidden]="!(editForm.controls.firstname?.dirty && editForm.controls.firstname?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.firstname?.errors?.minlength">
                   This field is required to be at least 1 characters.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_name">Name</label>
            <input type="text" class="form-control" name="name" id="field_name"
                [(ngModel)]="persona.name" minlength="1"/>
            <div [hidden]="!(editForm.controls.name?.dirty && editForm.controls.name?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.name?.errors?.minlength">
                   This field is required to be at least 1 characters.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_pseudo">Pseudo</label>
            <input type="text" class="form-control" name="pseudo" id="field_pseudo"
                [(ngModel)]="persona.pseudo" minlength="1"/>
            <div [hidden]="!(editForm.controls.pseudo?.dirty && editForm.controls.pseudo?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.pseudo?.errors?.minlength">
                   This field is required to be at least 1 characters.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_sexe">Sexe</label>
            <input type="checkbox" class="form-control" name="sexe" id="field_sexe"
                [(ngModel)]="persona.sexe" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_age">Age</label>
            <input type="number" class="form-control" name="age" id="field_age"
                [(ngModel)]="persona.age" min="0"/>
            <div [hidden]="!(editForm.controls.age?.dirty && editForm.controls.age?.invalid)">
                <small class="form-text text-danger"
                    [hidden]="!editForm.controls.age?.errors?.min">
                    This field should be at least 0.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.controls.age?.errors?.number">
                    This field should be a number.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_bio">Bio</label>
            <input type="text" class="form-control" name="bio" id="field_bio"
                [(ngModel)]="persona.bio" minlength="1"/>
            <div [hidden]="!(editForm.controls.bio?.dirty && editForm.controls.bio?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.bio?.errors?.minlength">
                   This field is required to be at least 1 characters.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_caractere">Caractere</label>
            <input type="text" class="form-control" name="caractere" id="field_caractere"
                [(ngModel)]="persona.caractere" />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span>Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span>Save</span>
        </button>
    </div>
</form>
